rm(list=ls())

setwd("/Users/")  # set a working directory as you need
mydat <- get(load("Table3.RData"))


library(plm)

set.seed(1234567)

attach(mydat)


Model01 <- plm(lobbyamt1 ~ involved + totalfdi + emp + grossprf1 + as.factor(year), data = mydat, index=c("firm", "year"), model="within")
summary(Model01)

Model02 <- plm(lobbyamt1 ~ UScomcomfirm + totalfdi + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model02)

Model03 <- plm(lobbyamt1 ~ UScomcomfirm + emp + grossprf1 + totalfdi + invest1dum + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model03)

Model04 <- plm(lobbyamt1 ~ UScomdeffirm + totalfdi + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model04)

Model05 <- plm(lobbyamt1 ~ UScomdeffirm + emp + grossprf1 + totalfdi + invest2dum + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model05)

Model06 <- plm(lobbyamt1 ~ USdefcomfirm + totalfdi + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model06)

Model07 <- plm(lobbyamt1 ~ USdefcomfirm + emp + grossprf1 + totalfdi + invest4dum + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model07)

Model08 <- plm(lobbyamt1 ~ USdefdeffirm + totalfdi + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model08)

Model09 <- plm(lobbyamt1 ~ USdefdeffirm + emp + grossprf1 + totalfdi + invest5dum + as.factor(year), data=mydat, index=c("firm","year"), model="within")
summary(Model09)